<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpPickButton: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpPathEditor.html" title="GimpPathEditor">
<link rel="next" href="GimpPreviewArea.html" title="GimpPreviewArea">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpPickButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpPickButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpPickButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpPickButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPathEditor.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpPreviewArea.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpPickButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpPickButton.top_of_page"></a>GimpPickButton</span></h2>
<p>GimpPickButton — Widget to pick a color from screen.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-pick-button.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpPickButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPickButton.html#gimp-pick-button-new" title="gimp_pick_button_new ()">gimp_pick_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPickButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpPickButton.html#GimpPickButton-color-picked" title="The “color-picked” signal">color-picked</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPickButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpPickButton.html#GimpPickButton-struct" title="GimpPickButton">GimpPickButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPickButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkButton.html#GtkButton-struct">GtkButton</a>
                            <span class="lineart">╰──</span> GimpPickButton
</pre>
</div>
<div class="refsect1">
<a name="GimpPickButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpPickButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/GtkActivatable.html#GtkActivatable-struct">GtkActivatable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpPickButton.description"></a><h2>Description</h2>
<p><a class="link" href="GimpPickButton.html" title="GimpPickButton"><span class="type">GimpPickButton</span></a> is a specialized button. When clicked, it changes
the cursor to a color-picker pipette and allows the user to pick a
color from any point on the screen.</p>
</div>
<div class="refsect1">
<a name="GimpPickButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-pick-button-new"></a><h3>gimp_pick_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_pick_button_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="GimpPickButton.html" title="GimpPickButton"><span class="type">GimpPickButton</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-pick-button-new.returns"></a><h4>Returns</h4>
<p> A new <a class="link" href="GimpPickButton.html" title="GimpPickButton"><span class="type">GimpPickButton</span></a> widget.</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpPickButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpPickButton-struct"></a><h3>GimpPickButton</h3>
<pre class="programlisting">typedef struct _GimpPickButton GimpPickButton;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpPickButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpPickButton-color-picked"></a><h3>The <code class="literal">“color-picked”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpPickButton.html" title="GimpPickButton"><span class="type">GimpPickButton</span></a> *gimppickbutton,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>        arg1,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>        user_data)</pre>
<p>This signal is emitted when the user has picked a color.</p>
<div class="refsect3">
<a name="GimpPickButton-color-picked.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>gimppickbutton</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>arg1</p></td>
<td class="parameter_description"><p>pointer to a <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> structure that holds the picked color</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>